ReplicationConfig (Oracle Corporation - Berkeley DB Java API)
Keywords: com.sleepycat.db.ReplicationConfig class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.5.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class ReplicationConfig

    java.lang.Object
      com.sleepycat.db.ReplicationConfig

All Implemented Interfaces:
  Cloneable

    public final class ReplicationConfig

extends Object
implements Cloneable

Settings that configure Berkeley DB replication. Used in the `Environment.setReplicationConfig(com.sleepycat.db.ReplicationConfig, boolean)` method.

Field Summary
`static ReplicationConfig` | `BULK` The replication master should send groups of records to the clients in a single network transfer.
`static ReplicationConfig` | `DELAYCLIENT` The client should delay synchronizing to a newly declared master (defaults to off).
`static ReplicationConfig` | `NOAUTOINIT` The replication master should not automatically re-initialize outdated clients.
`static ReplicationConfig` | `NOWAIT` Berkeley DB method calls that would normally block while clients are in recovery should return errors immediately.

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BULK

    public static final ReplicationConfig BULK

  The replication master should send groups of records to the clients in a single network transfer.

### DELAYCLIENT

    public static final ReplicationConfig DELAYCLIENT

  The client should delay synchronizing to a newly declared master (defaults to off). Clients configured in this way will remain unsynchronized until the application calls the `Environment.syncReplication()` method.

### NOAUTOINIT

    public static final ReplicationConfig NOAUTOINIT

  The replication master should not automatically re-initialize outdated clients.

### NOWAIT

    public static final ReplicationConfig NOWAIT

  Berkeley DB method calls that would normally block while clients are in recovery should return errors immediately.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.5.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright(c) 1996-2006 Oracle Corporation - All rights reserved.